## australis start sla-drain

Place a list of space separated Mesos Agents into maintenance mode using SLA aware strategies.

### Synopsis

Adds a Mesos Agent to Aurora's Drain list. Agents in this list
are not allowed to schedule new tasks and any tasks already running on this Agent
are killed and rescheduled in an Agent that is not in maintenance mode. Command
expects a space separated list of hosts to place into maintenance mode.

### Options

```
  -h, --help   help for sla-drain
```

### Options inherited from parent commands

```
  -a, --caCertsPath string      Path where CA certificates can be found.
  -c, --clientCert string       Client certificate to use to connect to Aurora.
  -k, --clientKey string        Client key to use to connect to Aurora.
      --config string           Config file to use. (default "/etc/aurora/australis.yml")
  -l, --logLevel string         Set logging level [panic fatal error warning info debug trace]. (default "info")
  -p, --password string         Password to use for API authentication
  -s, --scheduler_addr string   Aurora Scheduler's address.
  -i, --skipCertVerification    Skip CA certificate hostname verification.
      --toJSON                  Print output in JSON format.
  -u, --username string         Username to use for API authentication
  -z, --zookeeper string        Zookeeper node(s) where Aurora stores information. (comma separated list)
```

### SEE ALSO

* [australis start](australis_start.md)	 - Start a service, maintenance on a host (DRAIN), a snapshot, or a backup.
* [australis start sla-drain count](australis_start_sla-drain_count.md)	 - Place a list of space separated Mesos Agents into maintenance mode using the count SLA aware policy as a fallback.
* [australis start sla-drain percentage](australis_start_sla-drain_percentage.md)	 - Place a list of space separated Mesos Agents into maintenance mode using the percentage SLA aware policy as a fallback.

###### Auto generated by spf13/cobra on 22-Mar-2019
